# Ballista Developer Documentation

This directory contains documentation for developers that are contributing to Ballista. If you are looking for 
end-user documentation for a published release, please start with the 
[Ballista User Guide](https://ballistacompute.org/docs/) instead.

## Architecture & Design

- Read the [Architecture Overview](architecture.md) to get an understanding of the scheduler and executor 
  processes and how distributed query execution works.

## Build, Test, Release

- Setting up a [Rust development environment](dev-env-rust.md).
- Setting up a [Java development environment](dev-env-jvm.md).
- Notes on building [Rust docker images](rust-docker.md)  
- [Integration Testing](integration-testing.md)
- [Release process](release-process.md)

